﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_YBHZ_DEDUCT_DET' AND KSQL_COL_NAME ='FDEDUCTIONTYPE') 
 ALTER TABLE T_TCVAT_YBHZ_DEDUCT_DET ADD (FDEDUCTIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_HZ_DEDUCTION_SUM' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_TCVAT_HZ_DEDUCTION_SUM ADD (FDESCRIPTION VARCHAR(300) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_IN_ACCINV_COMP') 
 CREATE TABLE T_TCVAT_IN_ACCINV_COMP (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FWFSTARTDATE DATETIME,
FWFENDDATE DATETIME,
FBQYSPBQYRZAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWQWSPBQYRZAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBQYSPBQWRZAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_IN_ACCINVCOM_ENT') 
 CREATE TABLE T_TCVAT_IN_ACCINVCOM_ENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FWFDATE DATETIME,
FACCPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURWFDATA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGINALTIME DATETIME,
FINVOICEINFO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTHENTICATEFLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FSALERNAME VARCHAR(120) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_IN_ACCINVCOM_ENT1') 
 CREATE TABLE T_TCVAT_IN_ACCINVCOM_ENT1 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOWRITEOFF DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_IN_ACCINVCOM_ENT2') 
 CREATE TABLE T_TCVAT_IN_ACCINVCOM_ENT2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGINALTIME DATETIME,
FINVOICEINFO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTHENTICATEFLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FSALERNAME VARCHAR(120) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOWRITEOFF DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_IN_WFRECORD') 
 CREATE TABLE T_TCVAT_IN_WFRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FHEADWFINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FHEADWFINFO_TAG NCLOB,
FWFSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FWFNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FWRITEOFFTYPEID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FTAXORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCVAT_IN_WFRECORD_ENTRY') 
 CREATE TABLE T_TCVAT_IN_WFRECORD_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSBILLTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FASSBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSBILLID BIGINT DEFAULT 0 NOT NULL,
FASSBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FASSQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINWFINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FMAINWFINFO_TAG NCLOB,
FASSWFINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
FASSWFINFO_TAG NCLOB,
FBACKWFOP VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FASSUNIT BIGINT DEFAULT 0 NOT NULL,
FACCPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERDATE DATETIME,
FVOUCHERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERROW VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBALANCEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBCHXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICECODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGINALTIME DATETIME,
FINVOICEINFO VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUTHENTICATEFLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FSALERNAME VARCHAR(120) DEFAULT ' ' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSBCHXSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMMARY VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_ENTRY' AND KSQL_COL_NAME ='FDIFFERENCEINVOICE') 
 ALTER TABLE T_TCVAT_INCOME_ENTRY ADD (FDIFFERENCEINVOICE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INC_QTBHS' AND KSQL_COL_NAME ='FDIFFERENCEINVOICE') 
 ALTER TABLE T_TCVAT_RULE_INC_QTBHS ADD (FDIFFERENCEINVOICE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INC_QTSE' AND KSQL_COL_NAME ='FDIFFERENCEINVOICE') 
 ALTER TABLE T_TCVAT_RULE_INC_QTSE ADD (FDIFFERENCEINVOICE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_INC_WKPSE' AND KSQL_COL_NAME ='FDIFFERENCEINVOICE') 
 ALTER TABLE T_TCVAT_RULE_INC_WKPSE ADD (FDIFFERENCEINVOICE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_RULE_ENTRY' AND KSQL_COL_NAME ='FDIFFERENCEINVOICE') 
 ALTER TABLE T_TCVAT_RULE_ENTRY ADD (FDIFFERENCEINVOICE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_DEDUCTION_SUMMARY' AND KSQL_COL_NAME ='FDESCRIPTION') 
 ALTER TABLE T_TCVAT_DEDUCTION_SUMMARY ADD (FDESCRIPTION VARCHAR(300) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_INCOME_INVOICE' AND KSQL_COL_NAME ='FDIFFERENCEINVOICE') 
 ALTER TABLE T_TCVAT_INCOME_INVOICE ADD (FDIFFERENCEINVOICE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCVAT_ACCDETAIL_INCOME' AND KSQL_COL_NAME ='FDIFFERENCEINVOICE') 
 ALTER TABLE T_TCVAT_ACCDETAIL_INCOME ADD (FDIFFERENCEINVOICE CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCVAT_table.sql **/
